package com.steering.pss.judge.model;

/**
 * 数据库表CRAFT_ORD_DESIGN_STD所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-11-03
 */
@SuppressWarnings("serial")
public class CraftOrdDesignStdEntity implements java.io.Serializable {
    /**
     * DESGIN_KEY
     */
    private String desginKey = "";
    /**
     * 成分标准索引号(CICN000001)
     */
    private String cic = "";
    /**
     * 材质标准索引号
     */
    private String pic = "";
    /**
     * 公差标准索引号
     */
    private String sic = "";
    /**
     * 探伤索引号
     */
    private String dic = "";
    /**
     * 水压索引码
     */
    private String wic = "";
    /**
     * 加工索引号
     */
    private String gic = "";
    /**
     * 熔炼成分套数
     */
    private String smeltingCnt = "";
    /**
     * 成品成分套数
     */
    private String productCnt = "";
    /**
     * 成分标准索引号(客户要求)
     */
    private String cicN = "";
    /**
     * 材质标准索引号(客户要求)
     */
    private String picN = "";
    /**
     * 公差标准索引号(客户要求)
     */
    private String sicN = "";
    /**
     * 探伤索引号(客户要求)
     */
    private String dicN = "";
    /**
     * 水压索引码(客户要求)
     */
    private String wicN = "";
    /**
     * 加工索引号(客户要求)
     */
    private String gicN = "";
    /**
     * 熔炼成分套数(客户要求)
     */
    private String smeltingCntN = "";
    /**
     * 成品成分套数(客户要求)
     */
    private String productCntN = "";
    /**
     * 成分偏差索引号
     */
    private String cicBais = "";
    /**
     * 成分偏差索引号(客户)
     */
    private String cicNBais = "";
    /**
     * 成品成分取样频率代码(4011)
     */
    private String rate = "";
    /**
     * 成品成分取样频率代码(4011)（客户要求）
     */
    private String rateN = "";
    private String type = "";
    private String descRateN = "";

	/**
     * DESGIN_KEY
     * @return value
     */
    public String getDesginKey() {
        return desginKey;
    }

    /**
     * DESGIN_KEY
     * @param desginKey value
     */
    public void setDesginKey(String desginKey) {
        this.desginKey = desginKey;
    }

    /**
     * 成分标准索引号(CICN000001)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号(CICN000001)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 材质标准索引号
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 公差标准索引号
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 公差标准索引号
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 探伤索引号
     * @return value
     */
    public String getDic() {
        return dic;
    }

    /**
     * 探伤索引号
     * @param dic value
     */
    public void setDic(String dic) {
        this.dic = dic;
    }

    /**
     * 水压索引码
     * @return value
     */
    public String getWic() {
        return wic;
    }

    /**
     * 水压索引码
     * @param wic value
     */
    public void setWic(String wic) {
        this.wic = wic;
    }

    /**
     * 加工索引号
     * @return value
     */
    public String getGic() {
        return gic;
    }

    /**
     * 加工索引号
     * @param gic value
     */
    public void setGic(String gic) {
        this.gic = gic;
    }

    /**
     * 熔炼成分套数
     * @return value
     */
    public String getSmeltingCnt() {
        return smeltingCnt;
    }

    /**
     * 熔炼成分套数
     * @param smeltingCnt value
     */
    public void setSmeltingCnt(String smeltingCnt) {
        this.smeltingCnt = smeltingCnt;
    }

    /**
     * 成品成分套数
     * @return value
     */
    public String getProductCnt() {
        return productCnt;
    }

    /**
     * 成品成分套数
     * @param productCnt value
     */
    public void setProductCnt(String productCnt) {
        this.productCnt = productCnt;
    }

    /**
     * 成分标准索引号(客户要求)
     * @return value
     */
    public String getCicN() {
        return cicN;
    }

    /**
     * 成分标准索引号(客户要求)
     * @param cicN value
     */
    public void setCicN(String cicN) {
        this.cicN = cicN;
    }

    /**
     * 材质标准索引号(客户要求)
     * @return value
     */
    public String getPicN() {
        return picN;
    }

    /**
     * 材质标准索引号(客户要求)
     * @param picN value
     */
    public void setPicN(String picN) {
        this.picN = picN;
    }

    /**
     * 公差标准索引号(客户要求)
     * @return value
     */
    public String getSicN() {
        return sicN;
    }

    /**
     * 公差标准索引号(客户要求)
     * @param sicN value
     */
    public void setSicN(String sicN) {
        this.sicN = sicN;
    }

    /**
     * 探伤索引号(客户要求)
     * @return value
     */
    public String getDicN() {
        return dicN;
    }

    /**
     * 探伤索引号(客户要求)
     * @param dicN value
     */
    public void setDicN(String dicN) {
        this.dicN = dicN;
    }

    /**
     * 水压索引码(客户要求)
     * @return value
     */
    public String getWicN() {
        return wicN;
    }

    /**
     * 水压索引码(客户要求)
     * @param wicN value
     */
    public void setWicN(String wicN) {
        this.wicN = wicN;
    }

    /**
     * 加工索引号(客户要求)
     * @return value
     */
    public String getGicN() {
        return gicN;
    }

    /**
     * 加工索引号(客户要求)
     * @param gicN value
     */
    public void setGicN(String gicN) {
        this.gicN = gicN;
    }

    /**
     * 熔炼成分套数(客户要求)
     * @return value
     */
    public String getSmeltingCntN() {
        return smeltingCntN;
    }

    /**
     * 熔炼成分套数(客户要求)
     * @param smeltingCntN value
     */
    public void setSmeltingCntN(String smeltingCntN) {
        this.smeltingCntN = smeltingCntN;
    }

    /**
     * 成品成分套数(客户要求)
     * @return value
     */
    public String getProductCntN() {
        return productCntN;
    }

    /**
     * 成品成分套数(客户要求)
     * @param productCntN value
     */
    public void setProductCntN(String productCntN) {
        this.productCntN = productCntN;
    }

    /**
     * 成分偏差索引号
     * @return value
     */
    public String getCicBais() {
        return cicBais;
    }

    /**
     * 成分偏差索引号
     * @param cicBais value
     */
    public void setCicBais(String cicBais) {
        this.cicBais = cicBais;
    }

    /**
     * 成分偏差索引号(客户)
     * @return value
     */
    public String getCicNBais() {
        return cicNBais;
    }

    /**
     * 成分偏差索引号(客户)
     * @param cicNBais value
     */
    public void setCicNBais(String cicNBais) {
        this.cicNBais = cicNBais;
    }

    /**
     * 成品成分取样频率代码(4011)
     * @return value
     */
    public String getRate() {
        return rate;
    }

    /**
     * 成品成分取样频率代码(4011)
     * @param rate value
     */
    public void setRate(String rate) {
        this.rate = rate;
    }

    /**
     * 成品成分取样频率代码(4011)（客户要求）
     * @return value
     */
    public String getRateN() {
        return rateN;
    }

    /**
     * 成品成分取样频率代码(4011)（客户要求）
     * @param rateN value
     */
    public void setRateN(String rateN) {
        this.rateN = rateN;
    }
    
    public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

    public String getDescRateN() {
        return descRateN;
    }

    public void setDescRateN(String descRateN) {
        this.descRateN = descRateN;
    }
}
